# PacketOut (SubServers.Host)

net.ME1312.SubServers.Host.Network

## Interface PacketOut

All Known Implementing Classes:
  PacketAuthorization, PacketCommandServer, PacketCreateServer, PacketDownloadHostInfo, PacketDownloadLang, PacketDownloadNetworkList, PacketDownloadPlayerList, PacketDownloadServerInfo, PacketDownloadServerList, PacketExAddServer, PacketExConfigureHost, PacketExCreateServer, PacketExDeleteServer, PacketExRemoveServer, PacketExUpdateServer, PacketLinkExHost, PacketOutExLogMessage, PacketOutExRequestQueue, PacketStartServer, PacketStopServer, PacketTeleportPlayer

    public interface PacketOut

PacketOut Layout Class

### Method Summary

All Methods Instance Methods Abstract Methods
`org.json.JSONObject` `generate()` Generate JSON Packet Contents
`Version` `getVersion()` Get Packet Version

### Method Detail

#### generate

    org.json.JSONObject generate()
                          throws java.lang.Throwable

Generate JSON Packet Contents

Returns:
  Packet Contents
Throws:
  `java.lang.Throwable`

#### getVersion

    Version getVersion()

Get Packet Version

Returns:
  Packet Version